import { createStore } from "vuex";
import CurrentUser from "./modules/CurrentUser";
import Reservations from "./modules/Reservations";
import Dates from "./modules/Dates";
import VuexPersistence from 'vuex-persist'

export default createStore({
    namespaced: true,
    plugins: [new VuexPersistence().plugin],
    state: {},
    mutations: {},
    actions: {},
    modules: {
        CurrentUser,
        Reservations,
        Dates
    }
});
