const state = {
    from: moment().add(0,'days'),
    to: moment().add(1,'days')
}
const getters = {
    fromDate(state){
        return state.from;
    },
    to(state){
        return state.to;
    },
}
const actions = {
    set_from_date({commit}, user){
        return new Promise((resolve, reject) => {
            commit('SET_from', moment().add(0,'days'));
        })
    }
}
const mutations = {
    SET_from(state, payload){
        state.from = payload
    },
}

export default {
    namespaced: true,
    actions,
    state,
    getters,
    mutations
}
