import {getActiveLanguage} from "laravel-vue-i18n";

const myPlugin = {
    install(app) {
        app.config.globalProperties.getAPILink = (link) => {
            return '/api/v1/'+link;
        }
        app.config.globalProperties.currentLocale = () => {
            return getActiveLanguage();
        }
    }
}

export default myPlugin;
